> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Invite users to partner entry ownership

POST https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/partners/{entryId}/invite/users/
Content-Type: application/json

Invite users to become owners of a partner entry.

Reference: https://docs.partnerpage.io/api-reference/entry/partner-entry/invite/invite-users-to-partner-entry-ownership

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `entryId` (string, required) — ID of the partner entry

### Body (application/json)

This endpoint expects a PartnerOwnerUserInviteSerializerWriterRequest.

- `emails` (list of string, required)
- `note` (string, optional, default: )

## Response

### 200

Invites processed successfully

## Errors

### 400 Bad Request Error

Validation error, or an address was refused. A refusal about specific people names them under `refusedEmails` (another organization) and `pendingRequestEmails` (pending request elsewhere).

- `any`

### 404 Not Found Error

Partner entry not found

- `any`

## Examples

**Request**

```json
{
  "emails": [
    "string"
  ]
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/partners/entryId/invite/users/"

payload = { "emails": ["string"] }
headers = {
    "Authorization": "Token  <apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/partners/entryId/invite/users/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Token  <apiKey>', 'Content-Type': 'application/json'},
  body: '{"emails":["string"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```